class SessionController < ApplicationController
  def create
    # test url http://use-case-mapper.local/specifications/0AblM3dK0felBZGZjMnNmY2tfMTkwZ3E4ajRuZjg/use_cases/2_2
    logger.debug("authenticating")
    @google_data_session.authenticate!(params['token'])
    flash[:notice] = "Logged in as #{@google_data_session.email}. "
    session[:token] = @google_data_session.token
    session[:email] = @google_data_session.email
    
    redirect_to session[:path_after_login] || :root
  end
  def update
    key = params['key']
    value = params['value']
    session[:tab_layout] = session[:tab_layout].merge( {key=>value} )
    logger.debug(session[:tab_layout].to_json)
    render :text=>session[:tab_layout].to_json
  end
  def destroy
    session.keys.each{ |key| session[key] = nil  }
    redirect_to "/"
  end
end
