class UseCasesController < ApplicationController
  caches_page :show
  
  def show
    load_spec params[:specification_id]
    return if @specification.nil? 

    load :id, :journey_id
    
    respond_to do |wants|
      wants.xml {}
      wants.html {}
      wants.compact
      wants.pdf {
        prawnto :prawn=>{ :page_size=>'A3' }
      }
    end
    
  end

  def index
  end

end
