class Feature
  attr_reader :title, :lines
  
  def initialize(source)
    @title = source[:title]
    @lines = []
  end
  
  def add_content line
    lines << line
  end
  
  def to_param
    @title.to_param
  end

  def to_html
    (MediaCloth::wiki_to_html lines.join("\n").to_s).gsub(/\<a href\=\"([^\""]+\.png)\">([^\<]+)\<\/a>/, '<img src="\1"/>').gsub(/\<a href\=\"([^\""]+\.mov)\">([^\<]+)\<\/a>/, '<video src="\1" controls="controls">You need a browser that supports the video tag</video>')
  end
end