class RemoteDoc
  #   <?xml version="1.0"?>
  #   <entry etag="&quot;C0IKVQxSQCp7ImBr&quot;">
  #     <id>https://docs.google.com/feeds/documents/private/full/document%3A0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg</id>
  #     <published>2010-01-15T09:10:56.684Z</published>
  #     <updated>2010-07-08T11:35:52.940Z</updated>
  #     <app:edited xmlns:app="http://www.w3.org/2007/app">2010-07-08T11:35:58.603Z</app:edited>
  #     <category label="document" term="http://schemas.google.com/docs/2007#document" scheme="http://schemas.google.com/g/2005#kind"/>
  #     <category label="viewed" term="http://schemas.google.com/g/2005/labels#viewed" scheme="http://schemas.google.com/g/2005/labels"/>
  #     <title>File Sync</title>
  #     <content src="https://docs.google.com/feeds/download/documents/Export?docId=0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg" type="text/html"/>
  #     <link href="https://docs.google.com/a/canonical.com/Doc?docid=0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg&amp;hl=en" rel="alternate" type="text/html"/>
  #     <link href="https://docs.google.com/feeds/documents/private/full/document%3A0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg" rel="self" type="application/atom+xml"/>
  #     <link href="https://docs.google.com/feeds/documents/private/full/document%3A0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg" rel="edit" type="application/atom+xml"/>
  #     <link href="https://docs.google.com/feeds/media/private/full/document%3A0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg" rel="edit-media" type="text/html"/>
  #     <author>
  #       <name>john.lea</name>
  #       <email>john.lea@canonical.com</email>
  #     </author>
  #     <resourceId>document:0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg</resourceId>
  #     <lastModifiedBy>
  #       <name>john.lea</name>
  #       <email>john.lea@canonical.com</email>
  #     </lastModifiedBy>
  #     <lastViewed>2010-06-24T13:52:16.502Z</lastViewed>
  #     <quotaBytesUsed>0</quotaBytesUsed>
  #     <writersCanInvite value="true"/>
  #     <feedLink href="https://docs.google.com/feeds/acl/private/full/document%3A0AU5sFuLRpCpBZGZra2pqY2pfMjY1ZjRodG5nZDg" rel="http://schemas.google.com/acl/2007#accessControlList"/>
  #   </entry>

  def initialize(xml)
    @xml = xml
  end
  def title
    @xml.elements['title'].text
  end
  def type
    @xml.elements["category[@scheme='http://schemas.google.com/g/2005#kind']"].attribute('label').value
  end
  def updated
    @xml.elements['updated'].text
  end
  def id
    @xml.elements['id'].text
  end
  def slug
    id.gsub('https://docs.google.com/feeds/documents/private/full/document%3A',"")
  end
  
end