# [1200, 1800]
require 'open-uri'
proxy @use_case, {:spacing=>1}
pdf.text @use_case.title, :size=>20, :style=>:bold
pdf.text "Trigger: #{points[0][:title]}",:size=>10, :style=>:bold

pdf.line_width = 0.5

#rows.each do |row_index, row|
#  pdf.group do
#    
#  end
#end

#pdf.text rows.inspect
next_y = pdf.bounds.height - 40 # DOESN'T WORK FOR LONG USE CASE OR TRIGGER
rows.values[1..-1].each do |row|
  row_height = 0
  row.each do |point|
    pdf.bounding_box [(point[:x]-1) * 220, next_y ], :width=>200 do
      pdf.pad(4) do
        pdf.indent(4) do
          pdf.text "#{point[:title].to_s.gsub("<br/>","\n")}", :size=>6
          pdf.image open(point[:image]), :width=>60 if point[:image]
        end
      end
      pdf.stroke_bounds
      row_height = [row_height, pdf.bounds.height].max
    end
  end
  next_y -= row_height + 2
  
end

##points[1..-1].each do |point|
#  pdf.bounding_box [ (point[:x] - 1)  * 220, pdf.bounds.top- (point[:y] - 1) * 40 ], :width=>200 do
#    #pdf.padded_box(20) do
#      pdf.text point[:title].gsub("<br/>","\n"), :size=>10
#      #pdf.image open(point[:image]), :width=>150 if point[:image]
#      pdf.stroke_bounds
#    #end
#  end
#  #pdf.move_down 10
#end
