module Hpricot
  module Traverse
     def inner_text
       if name == 'table'
     	  elems = search('//tr/td[3]/..//img')
     	  if !elems.empty?
     	    multiple_images
     	  else
            map_children
          end
        elsif name=='td'
          if to_plain_text.empty?
            elems = search('../td[3]')
            if !elems.empty?
              map_children
            else
              "&nbsp;"
            end
          else
            map_children
          end
        elsif name=='img'
          "img:'#{self[:src]}'"
        #elsif name == 'a'
        #  if self[:href].nil?
         #   map_children
          #else
          #  '<a href="' + self[:href] + '">' + map_children + '</a>'
          #end
        else
          map_children
        end
      end
      
      def map_children
        if respond_to?(:children) and children
          children.map { |x| x.inner_text }.join
        else
          to_plain_text
        end
      end
      
      def multiple_images
        imgs = ''
        tds = search('//tr[2]//td')
        
        for i in (0..2)
          imgs += 'imgs:' + CONSTANTS[:image_type][i] + "\n" if !tds[i].search('//img').empty?
        end
        
        imgs + children.map{ |x| x.inner_text }.join
      end
  end
end

class String
  def nil_if_blank
    blank?? nil : self
  end
end
