class JourneysController < ApplicationController
  layout nil
  def show
    load_spec params[:specification_id]
    
    load :use_case_id, :id
    
    respond_to do |wants|
      if(params[:export])
        for step in @journey.steps do
          step.export_images = case step.image_titles.length
            when 0 then
            when 1 then "<img src=\"#{step.images.first[:image]}\" /><br />"
            else build_image_table step
          end
        end
        wants.html{render :template=>"use_case_steps/export"}
      else
        wants.html{render :template=>"use_case_steps/show"}
      end
      #wants.iphone{render :template=>"use_cases/show", :layout=>'application'}
    end
    
  end
  
  private
  
  def build_image_table(step)
    table = '<table><tr>'
    step.image_titles.each{|x| table << "<th>#{x}</th>"}
    table << '</tr><tr>'
    step.images.each{|x| table << "<td><img src=\"#{x[:image]}\" /></td>"}
    table << '</tr></table>'
    
    return table
  end
end
