class Connection
 # attr_accessor :selected
  attr_reader :from, :to,:kind
  def initialize(options)
    @from = options[:from]
    @to = options[:to]
    @kind = options[:kind]
   # @selected = options[:selected]
  end
  def to_s
    "<Connection from='#{from.unique_id}' to='#{to.unique_id}' kind='#{kind}'/>"
  end
  def inspect
    to_s
  end
  def to_unique_id
    to ? to.unique_id : nil
  end
  def from_unique_id
    from ? from.unique_id : nil
  end
  
  def short_description
    "<#{@from.short_description}>--<#{to.short_description}>"
  end
  
end