xml.title use_case.title
xml.steps{
  for use_case_step in use_case.all_steps
     xml.step use_case_step.title, :number=>use_case_step.number.to_i, :id=>use_case_step.unique_id, :track=>use_case_step.track_index, :sub_step=>use_case_step.small_number.to_i
  end
}
xml.connections{
  for connection in use_case.connections
    xml.connection :from=>connection.from.unique_id, :to=>connection.to.unique_id
  end
}
xml.groupings{
  steps_before = 0
  for group in use_case.groups
    xml.group group.merge(:steps_before=>steps_before)
    steps_before += group[:max_children] + 1
  end 
}