Feature: Import Doc
	In order to understand John's use case docs
	As a viewer
	I want to import the docs and convert them into database models
	
	Scenario: Use case index
		Given I go to 'specifications/test'
		#When I go to the url
		Then I should see "3.1 - Installer computer setup process"
		And I should see "window.map_drawer = new MapDrawer" 
		
	Scenario: Specific Use Case
		Given I go to 'specifications/test/use_cases/3_1'
		Then I should not see "USE CASE ENDS"
		And I should see "3rd"
		
	Scenario: Use Case Not Found
		Given I go to 'specifications/test/use_cases/5_1'
		Then I should see "Could not find use case '5_1'"
		
	Scenario: Go directly to a use case step
		Given I go to '/specifications/test/use_cases/3_1/journeys/primary_scenario/steps/2'
		Then I should see "Ubuntu presents a list of languages"
		And I should see "[TEST] Install process UX specification"