# these lines break rake gems:install
#require 'rest_client' 
#require 'oauth'
namespace :lp do
  desc "test launchpad"
  task :test_old do
    APP_ID = "use-case-mapper"

    params = {
             :oauth_consumer_key=>APP_ID,
             :oauth_signature_method=>"PLAINTEXT",
             :oauth_signature=>"&"
             } 
    result = RestClient.post "https://edge.launchpad.net/+request-token", params                                 
    params = CGI::parse(result.to_s)
    oauth_token = params["oauth_token"]
    oauth_token_secret = params["oauth_token_secret"]
    puts "token: #{oauth_token}, secret: #{oauth_token_secret}"
    #CONTINUED HERE: https://help.launchpad.net/API/SigningRequests
    #{}"https://edge.launchpad.net/+authorize-token?oauth_token=#{oauth_token}&oauth_callback=#{"http://use-case-mapper.local/lp_session/create"}"

    @consumer = OAuth::Consumer.new("use-case-mapper", "", #no secret for first lp request
                                    :site=>"https://edge.launchpad.net",
                                    #:http_method=>"post",
                                  #  :signature_method=>'PLAINTEXT',
                                    #:oauth_callback=>'http://use-case-mapper.local/lp/new_session',
                                    :request_token_path => "/+request-token",
                                    :access_token_path  => "/+access-token",
                                    :authorize_path     => "/+authorize-token")
    @request_token = @consumer.get_request_token(params)
    `open #{@request_token.authorize_url}`
    
  end

  desc "desc test launchpad using the model I made"
  task :test =>:environment do
    launchpad_session = LaunchpadSession.new
    launchpad_session.get_request_token
    
    url = launchpad_session.authorize_token_url(:callback=>"http://localhost:3005")
    `open '#{url}'`
    server = TCPServer.new(3005)
    while (session = server.accept and session.gets.blank?)
      puts input
    end
    launchpad_session.get_access_token
    
    puts "RESULT OF BUG LOOKUP: #{launchpad_session.api("bugs/1").inspect}"
  end
end